# Boost Exception

## boost/exception_ptr.hpp

### Synopsis

    #include <boost/exception/exception.hpp>

    namespace
    boost
        {
        class
        unknown_exception:
            public std::exception
            public boost::exception
            {
            ---unspecified---
            };

        typedef ---unspecified--- exception_ptr;

        template <class T>
        exception_ptr copy_exception( T const & e );

        exception_ptr current_exception();

        void rethrow_exception( exception_ptr const & ep );
        }

### See Also:

Boost Exception
boost/exception.hpp
copy_exception
current_exception
exception_ptr
rethrow_exception
unknown_exception